Subject: Re: [PATCH v3] Do not decode url protocol.

From: Matthieu Moy <[email-masked]>
Date: Tue, 22 Jun 2010 19:08:31 +0200

Pascal Obry <[email-masked]> writes:

> Matthieu,
>
>> Unless I missed something, this version doesn't address my earlier
>> comment:
>
> Because I do not agree.

I'm fine with disagreeing, but then you should argue. This would allow
either Junio to be convinced, or me to argue back.

> The three procedures:
>
> char *url_decode(const char *url)
> char *url_decode_parameter_name(const char **query)
> char *url_decode_parameter_value(const char **query)
>
> are all passed a full url (with protocol).

The caller is this (http-backend.c):

static struct string_list *get_parameters(void)
{
[...]
		while (query && *query) {
			char *name = url_decode_parameter_name(&query);
			char *value = url_decode_parameter_value(&query);
			[...]
		}

which advances "query" as the URL is decoded, hence passing query as a
pointer to the argument being parsed, not to the full URL.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/